/*
 * ActionParameters.hpp
 *
 *  Created on: Aug 19, 2013
 *      Author: heber
 */

#ifndef ACTIONPARAMETERS_HPP_
#define ACTIONPARAMETERS_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

namespace MoleCuilder {


/**
 * This class can be used by actions to contain parameters.
 *
 * The base class is completely empty, since no general parameters can be given. The
 * Action performing the function should construct its own parameter class derived
 * from it.
 */
class ActionParameters{
public:
  ActionParameters(){}
  virtual ~ActionParameters(){}
};

}


#endif /* ACTIONPARAMETERS_HPP_ */
